Skip to main content

Documentation Index

Fetch the complete documentation index at: https://promptlayer-add-demo-projects.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

{
  "source": "acme_cms",
  "external_id": "prompt_template_123"
}

Common tasks

TaskExample
Set when creating an entityPOST /rest/prompt-templates include external_ids in the payload body.
Set on an existing resourcePOST /prompt-templates/{prompt_template_id}/external-ids
Get an entity by external IDAdd external_source and external_id to supported list endpoints such as GET /prompt-templates, GET /workflows, GET /api/public/v2/datasets, GET /api/public/v2/evaluations, GET /api/public/v2/skill-collections, GET /api/public/v2/tool-registry, or GET /api/public/v2/folders/entities.
Get external IDs for an entityGET /prompt-templates/{prompt_template_id}/external-ids
Delete an external ID from an entityDELETE /prompt-templates/{prompt_template_id}/external-ids/{source}/{external_id}

Supported resources